#!/usr/bin/env fish

set -l opts --selector fuzzel --clipboarder wl-copy --typer wtype --use-notify-send

set -l cmd (echo type\ncopy\nprint\n | fuzzel --prompt="Mode: " --dmenu)

set -l target (echo username\npassword\nautotype | fuzzel --prompt="Targets: " --dmenu)

if not test "$target" = both
    set --append opts --target $target
end

if test "$cmd" = type
    rofi-rbw $opts --action type
else if test "$cmd" = copy
    rofi-rbw $opts --action copy
else if test "$cmd" = print
    notify-send --wait (rofi-rbw $opts --action print | string collect -N)
else
    return 1
end
